Skip to main content
GET
List onboardings
v2 · Base URL https://api.fintoc.com/v2

Authorizations

Authorization
string
header
required

Path Parameters

entity_id
string
required

The unique identifier of the entity (for example ent_8anBwgZktbZH6ydyHa6Tm0eM).

Query Parameters

ending_before
string

Cursor for pagination. Use the id of the first onboarding on the current page to fetch the previous page. Cannot be combined with starting_after.

limit
integer
default:30

Maximum number of onboardings to return per page. Defaults to 30, with a maximum of 300.

starting_after
string

Cursor for pagination. Use the id of the last onboarding on the current page to fetch the next page. Cannot be combined with ending_before.

Response

The list of onboardings of the entity, each as a compact object with its status and timestamps.

id
string
required

Unique identifier of the onboarding.

object
string
required

Type of the object. Always onboarding.

entity_id
string
required

Identifier of the entity this onboarding belongs to.

status
enum<string>
required

Current status of the onboarding. One of pending, in_progress, submitted, approved, rejected, or cancelled.

Available options:
pending,
in_progress,
submitted,
approved,
rejected,
cancelled
source
enum<string>
required

Channel the onboarding is being completed through. One of api or dashboard.

Available options:
api,
dashboard
submitted_at
string<date-time> | null
required

ISO 8601 datetime, in UTC, of when the onboarding was submitted for review. null until it is submitted.

reviewed_at
string<date-time> | null
required

ISO 8601 datetime, in UTC, of when the onboarding was reviewed. null until it is reviewed.